Initiate integration
To integrate your payroll platform with Argyle Open Network, provide:- How users authenticate to your payroll platform.
- The mappings and location of income and employment data.
https://integrations.argyle.com/api/v1/spec with this information in the request body as the “specification payload”:
Example specification payoload:
Example specification payoload:
Contact us after successfully submitting your integration, or to let us know if you have any questions.
Specification payload
Include a name for your payrollintegration in the specification payload:
| Attribute | Type | Description | Requirement |
|---|---|---|---|
integration | string | Name of the integration. | required |
User authentication
Include information on how users authenticate to your payroll platform in anauth object in the specification payload. Argyle will authenticate users on their behalf to your payroll platform with this information. Use the comment fields to provide additional information if needed.
| Attribute | Type | Description | Requirement |
|---|---|---|---|
auth.request.url | string | URL to submit user credentials for authentication. | required |
auth.request.method | string | HTTP request method for submitting user credentials (typically POST, GET, PUT, or PATCH). | required |
auth.request.comment | string | Further information advising how to make HTTP requests on your platform. | optional |
auth.method | string | HTTP authentication method for submitting user credentials. Common methods: basic_auth (Basic access authentication), api_key (API key in query/header/cookie), bearer_token (Bearer token), digest_auth (Digest access authentication), oauth_1.0, oauth_2.0. | required |
auth.comment | string | Further information advising how to authenticate HTTP requests on your platform. | optional |
Data mapping
Include information on the mappings and location of income and employment data in amappings object in the specification payload. The mappings object should contain an array of objects, each of which should include:
| Attribute | Type | Description | Requirement |
|---|---|---|---|
mappings.url | string | URL of the endpoint where the income and employment data fields are provided. | required |
mappings.provides | object | An array of data field names provided at the endpoint. | required |
mappings.comment | string | Further information you can provide about your data schema. | optional |
Next steps
Argyle will contact you in connection with completing the integration with your platform. You can also contact us if you have any questions.